# GraphicalUiElement

### Introduction

The GraphicalUiElement is the base class for all Gum runtime objects. In other words, all Gum components, screens, and standard elements inherit from this class when running in a FlatRedBall project. The GraphicalUiElement class provides functionality for positioning, parenting, sizing, and layout logic. Every Screen and Component in a Gum project will create a class in your Visual Studio project that inherits from GraphicalUiElement.

### GraphicalUiElement as IWindow

All GraphicalUiElement instances implement the IWindow interface, which means that they can be used just like other FlatRedBall UI elements. For example, all GraphicalUiElements have a Click event which can be subscribed to. For more information on the IWindow interface, see [the IWindow page](/flatredball/api/flatredball/gui/iinputreceiver/iwindow.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
